Profile Individual
curl --request POST \
--url https://devapi.withedge.co/gateway/api/v1/customer/profile/individual \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'requestId: <requestid>' \
--data '
{
"firstName": "<string>",
"lastName": "<string>",
"otherName": "<string>",
"email": "<string>",
"phone": "<string>",
"salutation": "<string>",
"gender": "<string>",
"dateOfBirth": "<string>",
"bvn": "<string>",
"nin": "<string>",
"nationality": "<string>",
"address": {
"address": "<string>",
"street": "<string>",
"localGovernment": "<string>",
"city": "<string>",
"country": "<string>"
},
"nextOfKin": {
"firstName": "<string>",
"lastName": "<string>",
"gender": "<string>",
"email": "<string>",
"phone": "<string>",
"relationship": "<string>",
"address": "<string>",
"street": "<string>",
"city": "<string>",
"country": "<string>",
"localGovernment": "<string>"
}
}
'import requests
url = "https://devapi.withedge.co/gateway/api/v1/customer/profile/individual"
payload = {
"firstName": "<string>",
"lastName": "<string>",
"otherName": "<string>",
"email": "<string>",
"phone": "<string>",
"salutation": "<string>",
"gender": "<string>",
"dateOfBirth": "<string>",
"bvn": "<string>",
"nin": "<string>",
"nationality": "<string>",
"address": {
"address": "<string>",
"street": "<string>",
"localGovernment": "<string>",
"city": "<string>",
"country": "<string>"
},
"nextOfKin": {
"firstName": "<string>",
"lastName": "<string>",
"gender": "<string>",
"email": "<string>",
"phone": "<string>",
"relationship": "<string>",
"address": "<string>",
"street": "<string>",
"city": "<string>",
"country": "<string>",
"localGovernment": "<string>"
}
}
headers = {
"requestId": "<requestid>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
requestId: '<requestid>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
firstName: '<string>',
lastName: '<string>',
otherName: '<string>',
email: '<string>',
phone: '<string>',
salutation: '<string>',
gender: '<string>',
dateOfBirth: '<string>',
bvn: '<string>',
nin: '<string>',
nationality: '<string>',
address: {
address: '<string>',
street: '<string>',
localGovernment: '<string>',
city: '<string>',
country: '<string>'
},
nextOfKin: {
firstName: '<string>',
lastName: '<string>',
gender: '<string>',
email: '<string>',
phone: '<string>',
relationship: '<string>',
address: '<string>',
street: '<string>',
city: '<string>',
country: '<string>',
localGovernment: '<string>'
}
})
};
fetch('https://devapi.withedge.co/gateway/api/v1/customer/profile/individual', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statuscode": "00",
"message": "Customer successfully profiled",
"data": {
"customerId": "7100987614",
}
"errors": [],
}
Customer
Profile Individual
This endpoint enables you to profile an individual.
POST
/
customer
/
profile
/
individual
Profile Individual
Profile Individual
Use this endpoint to create a profile for an individual on the Edge platform. Providing the customer’s BVN is mandatory to ensure they are immediately KYCed for Tier 1 account creation. Optionally, including the NIN will enable KYC for Tier 2.Additional Information
- To successfully create a customer profile on Edge, the customer’s BVN (Bank Verification Number) must be provided. This ensures the customer is KYCed for Tier 1 account creation.
- Optionally, you can provide the customer’s NIN (National Identification Number) along with the BVN. Supplying both identifiers enables KYC up to Tier 2.
Request Parameters
string
required
A unique identifier for the request, used for idempotency.
Example:
Example:
e0b9f8d0-7a57-4a67-a8b2-4d7c7b5a37c9string
required
The first name of the individual.
Example:
Example:
Johnstring
required
The last name of the individual.
Example:
Example:
Doestring
required
The other names of the individual.
Example:
Example:
Michaelstring
required
The individual’s email address.
Example:
Example:
john.doe@example.comstring
required
The individual’s phone number.
Example:
Example:
08012345678string
required
The salutation of the individual.
Example:
Example:
Mrstring
required
The gender of the individual.
Example:
Example:
Malestring
required
The individual’s date of birth in
Example:
YYYY-MM-DD format.Example:
1980-01-01string
required
The individual’s Bank Verification Number (BVN).
Example:
Example:
12345678901string
The individual’s National Identification Number (NIN).
Example:
Example:
987654321string
required
The nationality of the individual.
Example:
Example:
NGAobject
required
The address of the individual.
string
required
The complete address.
Example:
Example:
123 Main Streetstring
required
The street of the address.
Example:
Example:
Main Streetstring
required
The local government area.
Example:
Example:
Ikejastring
required
The city of the address.
Example:
Example:
Lagosstring
required
The country of the address.
Example:
Example:
NGAobject
required
Details of the individual’s next of kin.
string
required
The first name of the next of kin.
Example:
Example:
Janestring
required
The last name of the next of kin.
Example:
Example:
Doestring
required
The gender of the next of kin.
Example:
Example:
Femalestring
required
The email address of the next of kin.
Example:
Example:
jane.doe@example.comstring
required
The phone number of the next of kin.
Example:
Example:
07012345678string
required
The relationship between the individual and the next of kin.
Example:
Example:
Sisterstring
required
The address of the next of kin.
Example:
Example:
456 Elm Streetstring
required
The street of the address.
Example:
Example:
Elm Streetstring
required
The city of the address.
Example:
Example:
Abujastring
required
The country of the address.
Example:
Example:
NGAstring
required
The local government area.
Example:
Example:
Garki{
"statuscode": "00",
"message": "Customer successfully profiled",
"data": {
"customerId": "7100987614",
}
"errors": [],
}
Was this page helpful?
⌘I